Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class MUCRoomTask

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.MUCRoomTask

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

Direct Known Subclasses:
  BroascastMessageRequest, BroascastPresenceRequest, ChangeNickname, DestroyRoomRequest, OccupantAddedEvent, OccupantLeftEvent, RoomUpdatedEvent, UpdateOccupant, UpdateOccupantRequest, UpdatePresence

    public abstract class MUCRoomTask

extends Object
implements ClusterTask

Task related to a room to be executed in a cluster node. This is a base class to specific room tasks. The base class just keeps track of the room related to the task.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`protected` | `MUCRoomTask()`
`protected` | `MUCRoomTask(LocalMUCRoom room)`

Method Summary
`LocalMUCRoom` | `getRoom()`
`boolean` | `isOriginator()`
`void` | `readExternal(ObjectInput in)`
`void` | `setOriginator(boolean originator)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jivesoftware.util.cache.ClusterTask
`getResult`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### MUCRoomTask

    protected MUCRoomTask()

### MUCRoomTask

    protected MUCRoomTask(LocalMUCRoom room)

Method Detail

### getRoom

    public LocalMUCRoom getRoom()

### isOriginator

    public boolean isOriginator()

### setOriginator

    public void setOriginator(boolean originator)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.